;------------------------------------------------------------
; Cdigo assembler generado por Niple V6.6.2
; Proyecto: 
; Autor: RUIZ MARTIN FERMIN CARMELO
; Fecha: 10/09/2023
; PIC: 16F18877
; Velocidad de reloj: Int 8 Mhz
; Descripcion: 
;------------------------------------------------------------


 LIST    P=PIC16F18877


_FEXTOSC_ECM          equ  0x3FFE
_RSTOSC_HFINT32       equ  0x3F8F
_CLKOUTEN_OFF         equ  0x3FFF
_CSWEN_OFF            equ  0x37FF
_FCMEN_OFF            equ  0x1FFF
_MCLRE_ON             equ  0x3FFF
_PWRTE_ON             equ  0x3FFD
_LPBOREN_OFF          equ  0x3FFF
_BOREN_OFF            equ  0x3F3F
_BORV_HI              equ  0x3DFF
_ZCD_OFF              equ  0x3FFF
_PPS1WAY_OFF          equ  0x37FF
_STVREN_OFF           equ  0x2FFF
_DEBUG_OFF            equ  0x3FFF
_WDT_OFF              equ  0x3F9F
_WDTCPS_18            equ  0x3FF2
_WDTCWS_0             equ  0x3FF2
_WDTCCS_SC            equ  0x3FFF
_WRT_OFF              equ  0x3FFF
_SCANE                equ  0x2FFF
_LVP_OFF              equ  0x1FFF
_CP_OFF               equ  0x3FFF
_CPD_OFF              equ  0x3FFF
_config1              equ  0x8007
_config2              equ  0x8008
_config3              equ  0x8009
_config4              equ  0x800a
_config5              equ  0x800b

 __config _config1, _FEXTOSC_ECM & _RSTOSC_HFINT32 & _CLKOUTEN_OFF & _CLKOUTEN_OFF & _FCMEN_OFF
 __config _config2, _MCLRE_ON & _PWRTE_ON & _LPBOREN_OFF & _BOREN_OFF & _BORV_HI & _ZCD_OFF & _PPS1WAY_OFF & _STVREN_OFF & _DEBUG_OFF
 __config _config3, _WDT_OFF & _WDTCPS_18 & _WDTCWS_0 & _WDTCCS_SC
 __config _config4, _WRT_OFF & _SCANE & _LVP_OFF
 __config _config5, _CP_OFF & _CPD_OFF


;------------------------------------------------------------
;                  Declaracin de Registros
;------------------------------------------------------------
w                     equ  0x0000
status                equ  0x0003
bsr                   equ  0x0008
pclath                equ  0x000a
porta                 equ  0x000c
portb                 equ  0x000d
portc                 equ  0x000e
portd                 equ  0x000f
porte                 equ  0x0010
trisa                 equ  0x0011
trisb                 equ  0x0012
trisc                 equ  0x0013
trisd                 equ  0x0014
trise                 equ  0x0015
lata                  equ  0x0016
latb                  equ  0x0017
latc                  equ  0x0018
latd                  equ  0x0019
late                  equ  0x001a
_np_tiempo            equ  0x0021
_np_tiempo1           equ  0x0022
_np_tiempo2           equ  0x0023
_np_tiempo3           equ  0x0024
adcon0                equ  0x0093
adcon1                equ  0x0094
adref                 equ  0x009a
osccon1               equ  0x088d
osccon2               equ  0x088e
osccon3               equ  0x088f
oscen                 equ  0x0891
osctune               equ  0x0892
oscfrq                equ  0x0893
ansela                equ  0x1f38
anselb                equ  0x1f43
anselc                equ  0x1f4e
inlvlc                equ  0x1f52
anseld                equ  0x1f59
ansele                equ  0x1f64


;------------------------------------------------------------
;                  Declaracin de Bits
;------------------------------------------------------------
adnref                equ  4   ;
adpref0               equ  0   ;
adpref1               equ  1   ;
c                     equ  0   ;
rd7                   equ  7   ;
to                    equ  4   ;
z                     equ  2   ;


;------------------------------------------------------------
;               Declaracin de Registros EEPROM
;------------------------------------------------------------


;------------------------------------------------------------
;                        Inicio
;------------------------------------------------------------

   org 0x00
   goto paso2


;------------------------------------------------------------
;                      programa principal
;------------------------------------------------------------
paso2

   movlw b'01100000'
   movlb .17                        ;cambiar al banco 17
   movwf osccon1
   movlw b'00000000'
   movwf osccon3
   movlw b'01100000'
   movwf oscen
   movlw b'00000011'
   movwf oscfrq
   movlw b'00000000'
   movwf osctune
   movlb .0                         ;cambiar al banco 0
   clrf _np_tiempo
   clrf _np_tiempo1
   clrf _np_tiempo2
   clrf _np_tiempo3
   clrf porta
   clrf lata
   clrf porte
   clrf late
   movlw b'00000000'                ;configurar el puerto e como xxxxxsss
   movwf trise
   movlw b'00000000'                ;configurar el puerto a como ssssssss
   movwf trisa
   movlb .62                        ;cambiar al banco 62
   clrf ansela                      ;puerto a/e = e/s digital
   movlb .0                         ;cambiar al banco 0
   clrf portb
   movlw b'00000000'                ;configurar el puerto b como ssssssss
   movwf trisb
   movlb .62                        ;cambiar al banco 62
   clrf anselb
   movlb .0                         ;cambiar al banco 0
   clrf portc
   movlw b'00000000'                ;configurar el puerto c como ssssssss
   movwf trisc
   movlb .62                        ;cambiar al banco 62
   clrf anselc
   clrf inlvlc
   movlb .0                         ;cambiar al banco 0
   clrf portd
   movlw b'00000000'                ;configurar el puerto d como ssssssss
   movwf trisd
   movlb .62                        ;cambiar al banco 62
   clrf inlvlc
paso6
   bsf portd,rd7

   movlw .2
   call tmp_1_mgc                   ;llamada a rutina tmp_1_mgc
   bcf portd,rd7

   movlw .2
   call tmp_1_mgc                   ;llamada a rutina tmp_1_mgc
   goto paso6                       ;cierra el ciclo


;------------------------------------------------------------
;                  Declaracin de Subrutinas
;------------------------------------------------------------

tmp_1_mgc
   movlb .0                         ;cambiar al banco 0
   movwf _np_tiempo
   goto tmp_1_mgc_1
tmp_1_mgc_bucle2
   nop
   nop
   nop
   nop
   nop
   nop
   nop
tmp_1_mgc_1
   movlw .10
   movwf _np_tiempo1
tmp_1_mgc_bucle1
   nop
   nop
   movlw .99
   movwf _np_tiempo2
tmp_1_mgc_bucle0

   nop
   nop
   nop
   movlw .200
   movwf _np_tiempo3
tmp_1_mgc_bucle
   nop
   nop
   decfsz _np_tiempo3,1
   goto tmp_1_mgc_bucle
   nop
   nop
   nop
   decfsz _np_tiempo2,1
   goto tmp_1_mgc_bucle0
   nop
   nop
   nop
   decfsz _np_tiempo1,1
   goto tmp_1_mgc_bucle1
   decfsz _np_tiempo,1
   goto tmp_1_mgc_bucle2
   movlb .0                         ;cambiar al banco 0
   return


;------------------------------------------------------------
;                  DATOS EN MEMORIA EEPROM
;------------------------------------------------------------
   org  0xF000
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff
   data   0xff

 End